TAAS - Feature #150

Ledger Statement
02/21/2023 01:45 PM - Anil KV

Status: Reopen Bugs Coding Done
Priority: Normal

Assignee: Amal Ck

Category:

Target version: 22.12

Owner(Agency): Travvise

Time Taken(HH):

Module: Ledger Statement

Start date:

Due date:

% Done:

Estimated time:
Spent time:

Tested By:

Code Reviewed By:

02/21/2023

70%
0:00 hour
0:00 hour

unnikannan S

Description
Coding Ledger Statement

History

#1 - 03/01/2023 04:46 PM - Junaid M
- Status changed from New to Open
- % Done changed from 0 to 10

Models Added.

Controller: FinancialReportsController.cs
Cs: LedgerStatement.cs

Ul Changes:

1. Change currency to report style
2. 1st Row -> Period, Branch Currency

#2 - 03/01/2023 05:15 PM - Junaid M
- Assignee changed from Junaid M to Shanto Shaji

#3 - 03/08/2023 09:45 AM - Shanto Shaji
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 03/08/2023 08:01 PM - Junaid M
- File SQL-SUMMARY-LEDGER-SATETMENT.sql added

#5 - 03/20/2023 10:25 AM - Junaid M
- Assignee changed from Shanto Shaji to Christy Saint

#6 - 03/27/2023 10:44 AM - Junaid M

- File SQL-LedgerStatement-Summary-NotApproved.Sql added

#7 - 03/27/2023 10:54 AM - Junaid M

- File SQL-LedgerStatement-Summary-AfterToDate.sql added

#8 - 03/29/2023 12:14 PM - Junaid M
- File SQL-LedgerStatement-Details-Data.sql added

#9 - 05/04/2023 03:31 PM - Christy Saint
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#10 - 05/05/2023 05:51 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Set scrolling on drop down label
2.Showing unknown Document/Row on grid
3.Error on console while tap on Edit Icon

#11 - 05/26/2023 03:28 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 07/06/2023 05:35 PM - unnikannan S

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD SUB LEDGER CODE WHILE CHOOSING SUB LEDGER IN ACCOUNTS
2.ADD AIRLINE DATA LIST IN ACCOUNTS

#13 - 07/06/2023 05:35 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#14 - 07/24/2023 05:27 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 09/19/2023 01:59 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED****

1.VERTUAL CARD AMT NOT FOUND LEDGER STATEMENT

#16 - 11/01/2023 09:18 PM - Junaid M
- Assignee changed from Christy Saint to Amal Siby

#17 - 11/02/2023 04:50 PM - Seema Mathew

2. MISSING DOCUMENT AMOUNTS

3. DONT SHOW NEGATIVE VALUE IN CREDIT AMT (SUMMARY)

4. WHILE CHOOSING EDIT LOGOUT

5. CONNECT PRINT

6. ERASER TAB NOT WORKING

7. SHOW DATA AS PER CHOOSEN TRANSACTION DATE

8. SHOW DATA AS PER CHOOSEN LEDGERS IN TRIAL BALANCE,BALANCE SHEET,P&L WHILE REDIRECTING
9. ERROR WHILE ADDING REFERENCE NO AND SEARCH (42601: syntax error at or near "tr")

10. MISSING CURRENCY CODE IN FOCUS OUT OF LEDGER NAME

11. SHOWING ALL PAX PROFILE IN SUB CUSTOMER FIELD

#18 - 12/16/2023 10:34 AM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
#19 - 02/07/2024 12:25 PM - unnikannan S
TESTING DONE

#20 - 02/07/2024 12:31 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.ERROR WHILE CHANGING TRANSACTION DATE/TO MATCHED DATE FROM ADMIN SETTINGS (42601: syntax error at or near "GROUP")
2.CORRECT THE WORKING OF CONSIDER MATCHING DONE AFTER TO DATE CHECK BOX
3.DEFAULT LEDGER SHOW IN Ul THAT RE-DIRECTED THROUGH TRIAL BALANCE,P&L,BALANCE SHEET

Ul CHANGES

Include Act as Mainledgers in Mainledger Multiselectbox
- Own

- Act as Customer

- Act as Supplier

- Act as Comn Agent

#21 - 02/07/2024 05:13 PM - Junaid M
- Assignee changed from Amal Siby to Athul P

#22 - 02/21/2024 05:29 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 04/02/2024 01:03 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.FIX ERROR IN CONSOLE WHILE CLEARING TRANSACTION DATE FROM Ul AND SELECTING PRINT BUTTON
2.CLEAR DEFAULT :: SHOWING IN PRINT

#24 - 04/02/2024 01:20 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 07/10/2024 03:45 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Accounts Main Ledger On Ul

#26 - 07/10/2024 05:47 PM - Athul P

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 07/10/2024 06:21 PM - unnikannan S
TESTING DONE

#28 - 09/26/2024 04:27 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Testing Done
- % Done changed from 70 to 90

#29 - 10/02/2024 11:01 AM - Anonymous
- Assignee changed from Athul P to Amal Ck

#30 - 11/13/2024 12:51 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. (Done) Data not showing in uncleared received cheque and uncleared paid cheque .
2. (Done) Make the current balance row fully bold.

4. (Done) Balance field on system and detail column for uncleared received cheque and uncleared paid cheque should be empty.
5. (Done) Data showing in Expected Posting(Paid Cheque Control Account to Bank) field after we returned the cheque.

)
)
3 (Done)
)
)

#31 - 11/15/2024 04:40 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 11/27/2024 11:14 AM - Arathy PS
TESTING SCENERIO TO BE CHECKED

1. After completing the changes in 'year end' module check the functioning of the field ‘consider PL&L'".

#33 - 11/27/2024 06:20 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#34 - 12/02/2024 03:07 PM - Arathy PS
- File clipboard-202412021506-7wfgz.png added

ISSUE FOUND

1. Data from uncleared paid cheque or received cheque should clear only if reconciliation has been done.
2. DONE- Data showing on the 'Matched/Outstanding Net Diffrence Adjusted' field for system column also.

Fo%d

Ledger Statement z

Transaction Date™ Branch” - -

Ledger™~ | cusoo3 " Base1(QAR) v

Summary = Details

# | Item System

Debit Credit Net Balance Debit

1 Opening Balance. 000 000 000 000

2 | Matched/Outstanding Net Diffrence Adjusted 500.00 000 50000 500.00

3 Current Balance 1500.00 1000.00 1000.00 1000.00

4 | After To Date Amount 100000

100000

ve Documents Only) 100000

7 | Expected Posting(Paid Cheque Control Account to Bank) 1000.00

2  Projected Balance 1000.00

9 Uncleared Received Chegue

10| Uncleared Paid Cheque

#35 - 12/04/2024 03:31 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
=~ | Menu-> ~

Matched Outstanding

Consider Matching Done After To Date”

Details
Credit Net
000
000

1000.00

Change not approved posting only amount (Active Documents Only) ----> Not approved posting amount (Active Documents Only).

Balance
000
500.00
500.00
500.00
500.00
500.00
500.00

500.00
#36 - 12/11/2024 11:38 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Amounts Showing In Tables Mismatching On Print

#37 - 12/12/2024 10:28 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#38 - 12/16/2024 05:35 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#39 - 12/19/2024 01:53 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Sub customer field is showing all the pax profiles not just with sub customer field ticked.(fixed)
2. No data showing while selecting the sub customer.(data not saving into transaction table from sale)
3. Add redirection to the document number.(fixed)

#40 - 12/19/2024 06:13 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#41 - 12/20/2024 03:00 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#42 - 12/20/2024 06:34 PM - Arathy PS
- File clipboard-202412201834-63iws.png added

ISSUE FOUND

1. Data showing in 'Not Approved Document Amount' field even after approving it through document approve module.(issue from document approve
module)

2. Data not showing in the details column while it is showing in the system column of summary tab.

3. Data difference while selecting inactive document status.
ravvise Ledger Statement

Transaction Date® | 20/12/2024 2071272004 Branch* | Calicut Bra 2 - Matched Outstanding
Ledger ™ | cusonn UHAMMED NIVAS Curene’ | QAR ~ Consider Matching Done After To Date®
Main Ledger™ - Department - File No ~
Sub Customer (Profile) ~ Cash Counter - Consider P&L | pgl Date Same As To Date Then That |
Status’ Active (Document Statu N Erclude - Show Matched Net Difference After OB
Cost Cente - Reference~
© nter srerEnce Show Opening Balance
Ann

Summary | Details

Y a B B &

%  Item Details (Matched & Outstanding) System (Matched & Outstanding)

Debit Credit Net Balance Debit Credit Net Balance
1 Opening Balance 000 000 000 000 000 000 000 0.00
2 Matched/Outstanding Net Diffrence Adjusted 000 000 000 000 000 000 000 0.00
3 Current Amount 1000.00 0.00 1000.00 1000.00 2200.00 1200.00 1000.00 1000.00
4 After To Date Amount 000 0.00 0.00 1000.00 000 000 000 1000.00
5 | Not Approved Document Amount 000 000 000 1000.00 1000.00 000 1000.00 2000.00
6  Not Approved Posting Amount{Active Documents Orly) 000 000 000 1000.00 000 000 000 2000.00
7 | Expected Posting(Paid Cheque Contral Account to Bank) 000 000 000 100000 000 000 000 2000.00
8  Projected Balance 0.00 0.00 0.00 1000.00 3200.00 1200.00 2000.00 2000.00

— —_—

9 Unclezred Received Cheque 000 000 000 000 000 000
10 | Uncleared Paid Cheque 000 000 000 000 000 000

#43 - 12/26/2024 11:23 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#44 - 02/13/2025 03:26 PM - Junaid M
New Change (Done)

1. In Details Tab. before details column Add New Column "Supp Doc".
Value is Ticket/Voucher No.
No need to add in print.

#45 - 02/13/2025 03:26 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#46 - 02/13/2025 03:55 PM - Junaid M
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#47 - 03/05/2025 01:06 PM - Arathy PS
- File clipboard-202503051306-xjaic.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

(FIXED)1. Wrong data in the summary tab and data not appearing in the details tab if the customer has done only an AR sharing in the sale.
Ledger Statement

Transaction Date™  05/01/2025 05/01,/2025 Branch® | Main - Matched Outstanding

Ledger* - | cusonz AARIF AMAN FAIZ Currency” | QAR v Consider Matching Done After To Date™
¥y

Summary = Details

#  ltem Details (Matched & Outstanding) System (Matched & Outstanding)

Debit Credit Net Balance Debit Credit Net Balance
1 Opening Balance 290000 0.00 2900.00 2900.00 2900.00 0.00 290000 2900.00
2 Matched/Outstanding Net Diffre 000 000 000 2900.00 000 0.00 0.00 2900.00
3 Current Amount 0.00 0.00 0.00 2900.00 0.00 0.00 0.00 2900.00
4 After To Date Amount 000 000 000 2900.00 000 0.00 0.00 2900.00
5 Not Approved Document Amou 000 000 000 2900.00 000 0.00 000 2900.00
6  NotApproved Posting Amount(, 000 000 000 2900.00 000 000 000 2900.00
7 Expected Posting(Paid Cheque C 000 000 000 2900.00 000 0.00 0.00 2900.00
&  Projected Balance 0.00 0.00 0.00 2900.00 2000.00 0.00 2900.00 2900.00
9 Undeared Received Cheque 000 000 000 000 000 000
10 Uncleared Paid Cheque 000 000 000 000 000 000

#48 - 03/11/2025 08:46 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 03/14/2025 02:34 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

(DONE)1)Data is not showing in Uncleared paid and Uncleared Received Cheque(lssue from sale&Refund only)

#50 - 03/19/2025 01:50 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

SQL-SUMMARY-LEDGER-SATETMENT.sql 4.14 KB 03/08/2023 Junaid M
SQL-LedgerStatement-Summary-NotApproved.Sql 776 Bytes 03/27/2023 Junaid M
SQL-LedgerStatement-Summary-AfterToDate.sql 810 Bytes 03/27/2023 Junaid M
SQL-LedgerStatement-Details-Data.sql 818 Bytes 03/29/2023 Junaid M
clipboard-202412021506-7wfgz.png 128 KB 12/02/2024 Arathy PS
clipboard-202412201834-63iws.png 147 KB 12/20/2024 Arathy PS
clipboard-202503051306-xjaic.png 104 KB 03/05/2025 Arathy PS
